import React, { useState, useMemo, useCallback } from 'react';
import ReactDOM from 'react-dom';
import { VizContainer } from './VizContainer';
import { D3Component } from './D3Component';
import { data } from './treeData';

const width = 960;
const height = 400;
const margin = { top: 20, right: 20, bottom: 20, left: 20 };
const innerWidth = width - margin.left - margin.right;
const innerHeight = height - margin.top - margin.bottom;

const App = () => {
  
  return (
    <>
      <h2> D3 Force Layout</h2>
      <VizContainer
        id="viz-container"
        width={width}
        height={height}
        margin={margin}
        innerWidth={innerWidth}
        innerHeight={innerHeight}
      >
        <D3Component 
          data={data} 
          innerWidth={innerWidth}
          innerHeight={innerHeight} 
        />
      </VizContainer>
    </>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
